## meta meta — Metadata browser |

## Functions

GtkWidget * | gwy_app_metadata_browser_for_channel ()
GtkWidget * | gwy_app_metadata_browser_for_volume ()
GtkWidget * | gwy_app_metadata_browser_for_xyz ()
GtkWidget * | gwy_app_metadata_browser_for_curve_map ()

## Includes

    #include <app/gwyapp.h>

## Description

## Functions

### gwy_app_metadata_browser_for_channel ()

    GtkWidget *
    gwy_app_metadata_browser_for_channel (GwyContainer *data,
                                          gint id);

Shows a simple metadata browser for a channel.

If the metadata browser is already shown for this channel it is just raised and given focus. Otherwise, a new window is created.

#### Parameters

data | A data container. |
id | Id of a channel in `data` to show metadata for. |

#### Returns

The metadata browser (owned by the library). Usually, you can ignore the return value.

Since: 2.32

### gwy_app_metadata_browser_for_volume ()

    GtkWidget *
    gwy_app_metadata_browser_for_volume (GwyContainer *data,
                                         gint id);

Shows a simple metadata browser for volume data.

If the metadata browser is already shown for this volume data it is just raised and given focus. Otherwise, a new window is created.

#### Parameters

data | A data container. |
id | Id of volume data in `data` to show metadata for. |

#### Returns

The metadata browser (owned by the library). Usually, you can ignore the return value.

Since: 2.32

### gwy_app_metadata_browser_for_xyz ()

    GtkWidget *
    gwy_app_metadata_browser_for_xyz (GwyContainer *data,
                                      gint id);

Shows a simple metadata browser for XYZ data.

If the metadata browser is already shown for this XYZ data it is just raised and given focus. Otherwise, a new window is created.

#### Parameters

data | A data container. |
id | Id of XYZ data in `data` to show metadata for. |

#### Returns

The metadata browser (owned by the library). Usually, you can ignore the return value.

Since: 2.45

### gwy_app_metadata_browser_for_curve_map ()

    GtkWidget *
    gwy_app_metadata_browser_for_curve_map
                                   (GwyContainer *data,
                                    gint id);

Shows a simple metadata browser for curve map data.

If the metadata browser is already shown for this curve map data it is just raised and given focus. Otherwise, a new window is created.

#### Parameters

data | A data container. |
id | Id of curve map data in `data` to show metadata for. |

#### Returns

The metadata browser (owned by the library). Usually, you can ignore the return value.

Since: 2.60